Bug 501274 - segmentation fault when using "ftsrting -m $string ppem $fonts_filename".
segmentation fault when using "ftsrting -m $string ppem $fonts_filename".
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: freetype (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Behdad Esfahbod
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 06:46 EDT by Miya Chen
Modified: 2009-05-25 01:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-25 01:17:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bt file (3.66 KB, application/octet-stream)
2009-05-18 06:47 EDT, Miya Chen
no flags Details
bt file (3.66 KB, text/plain)
2009-05-18 07:45 EDT, Miya Chen
no flags Details

  None (edit)
Description Miya Chen 2009-05-18 06:46:18 EDT
Description of problem:
segmentation fault when using "ftsrting -m $string ppem $fonts_filename".

Version-Release number of selected component (if applicable):
freetype-2.2.1-21.el5_3

How reproducible:
100%

Steps to Reproduce:
1.find the .ttf file in /usr/share/fonts
2.for each .ttf file, run ftsting -m $string ppem $fonts_filename under gnome-terminal.
  
Actual results:
come across segmentation fault when using some font files.

Expected results:
test string display correctly with all types of fonts.

Additional info:
1.font files failed in rhel5server--x86_64:
/usr/share/fonts/zh_TW/TrueType/bsmi00lp.ttf
/usr/share/fonts/chinese/TrueType/ukai.ttf
/usr/share/fonts/chinese/TrueType/uming.ttf
# rpm -qf /usr/share/fonts/chinese/TrueType/uming.ttf
fonts-chinese-3.02-12.el5.noarc

2.font files failed in rhel5server--ppc:
/usr/share/fonts/zh_TW/TrueType/bsmi00lp.ttf
/usr/share/fonts/chinese/TrueType/ukai.ttf
/usr/share/fonts/chinese/TrueType/uming.ttf

3.font files failed in rhel5server--ia64:
/usr/share/fonts/zh_TW/TrueType/bsmi00lp.ttf
/usr/share/fonts/chinese/TrueType/ukai.ttf
/usr/share/fonts/chinese/TrueType/uming.ttf

4.font files failed in rhel5server--i386:
/usr/share/fonts/chinese/TrueType/ukai.ttf
/usr/share/fonts/chinese/TrueType/uming.ttf

5.font files failed in rhel5client--i386:
/usr/share/fonts/chinese/TrueType/ukai.ttf
/usr/share/fonts/chinese/TrueType/uming.ttf

6.font files failed in rhel5client--x86_64:
/usr/share/fonts/zh_TW/TrueType/bsmi00lp.ttf
/usr/share/fonts/chinese/TrueType/ukai.ttf
/usr/share/fonts/chinese/TrueType/uming.ttf

7.font files failed in rhel5client--s390x:
/usr/share/fonts/zh_TW/TrueType/bsmi00lp.ttf
/usr/share/fonts/chinese/TrueType/ukai.ttf
/usr/share/fonts/chinese/TrueType/uming.ttf


backtrace file is attached.
Comment 1 Miya Chen 2009-05-18 06:47:49 EDT
Created attachment 344413 [details]
bt file
Comment 2 Miya Chen 2009-05-18 07:45:42 EDT
Created attachment 344422 [details]
bt file
Comment 3 RHEL Product and Program Management 2009-05-18 08:07:37 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 Behdad Esfahbod 2009-05-20 17:00:17 EDT
Can you confirm that this only happens with ftstring, and that the fonts work fine in real applications?
Comment 5 Behdad Esfahbod 2009-05-20 17:51:07 EDT
I believe this bug doesn't affect any of our applications.  I'm inclined to either WONTFIX it or postpone it.

Bug exists in upstream also.
Comment 6 Lawrence Lim 2009-05-21 00:18:59 EDT
If no-one else disagree, I think we should close as WONTFIX and do further testing in Fedora.
Comment 7 Miya Chen 2009-05-25 01:17:27 EDT
Close it as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.